
# UserServiceAccountRequest

Payload to create a service account

## Properties

Name | Type
------------ | -------------
`name` | string
`createGroup` | boolean
`expiring` | boolean
`expires` | Date

## Example

```typescript
import type { UserServiceAccountRequest } from '@goauthentik/api'

// TODO: Update the object below with actual values
const example = {
  "name": null,
  "createGroup": null,
  "expiring": null,
  "expires": null,
} satisfies UserServiceAccountRequest

console.log(example)

// Convert the instance to a JSON string
const exampleJSON: string = JSON.stringify(example)
console.log(exampleJSON)

// Parse the JSON string back to an object
const exampleParsed = JSON.parse(exampleJSON) as UserServiceAccountRequest
console.log(exampleParsed)
```

[[Back to top]](#) [[Back to API list]](../README.md#api-endpoints) [[Back to Model list]](../README.md#models) [[Back to README]](../README.md)


